/*

  Arena Header file

*/

#ifndef ARENA_H
#define ARENA_H

#include <cstdlib>
#include <ctime>
#include <GL/glut.h>
#include "TextureLoader.h"

#define STARS 1

class Arena{
public:
	Arena(int = 1);	//type
	initializeArena();
	drawArena();
	bool starson;
private:
	basicArena();
	createStarField();
	//textures
	char* background;
	int type;
	TextureLoader tl;
	GLuint	g_Texture[5];
};

#endif